Update fulfillments of fulfillment order
POST
/merchants/{merchantCode}/fulfillmentOrders/{orderNumber}/fulfillments/{fulfillmentId}
const url = 'https://order.shopgate.io/v1/merchants/example/fulfillmentOrders/example/fulfillments/example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"status":"open","carrier":"DHL","serviceLevel":"sameDay","tracking":"JJD000390007882823450","fulfillmentPackages":[{"id":537,"status":"open","serviceLevel":"sameDay","package":"small","fulfilledFromLocationCode":"DERetail001","weight":2000,"weightUnit":"g","dimensions":{"length":25,"lengthUnit":"mm","width":17.5,"widthUnit":"mm","height":10,"heightUnit":"mm"},"tracking":"JJD000390007882823450","pickUpBy":"Kim Muster","labelUrl":"https://documentserver.internal/label/label.pdf","labelType":"pdf","fulfillmentDate":"2026-04-15T12:00:00Z","packageItems":[{"salesOrderLineItemCode":"386","quantity":1}]}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://order.shopgate.io/v1/merchants/example/fulfillmentOrders/example/fulfillments/example \ --header 'Content-Type: application/json' \ --data '{ "status": "open", "carrier": "DHL", "serviceLevel": "sameDay", "tracking": "JJD000390007882823450", "fulfillmentPackages": [ { "id": 537, "status": "open", "serviceLevel": "sameDay", "package": "small", "fulfilledFromLocationCode": "DERetail001", "weight": 2000, "weightUnit": "g", "dimensions": { "length": 25, "lengthUnit": "mm", "width": 17.5, "widthUnit": "mm", "height": 10, "heightUnit": "mm" }, "tracking": "JJD000390007882823450", "pickUpBy": "Kim Muster", "labelUrl": "https://documentserver.internal/label/label.pdf", "labelType": "pdf", "fulfillmentDate": "2026-04-15T12:00:00Z", "packageItems": [ { "salesOrderLineItemCode": "386", "quantity": 1 } ] } ] }'Update fulfillments of fulfillment order
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Unique merchant code which represents the unique “merchant account”.
orderNumber
required
string
Unique order number
fulfillmentId
required
string
The ID of the fulfillment
Request Body
Section titled “Request Body”Media typeapplication/json
object
status
string
carrier
string
Example
DHLserviceLevel
string
Example
sameDaytracking
string
Example
JJD000390007882823450fulfillmentPackages
Array<object>
object
id
number
Example
537status
string
serviceLevel
string
Example
sameDaypackage
string
Example
smallfulfilledFromLocationCode
string
Example
DERetail001weight
The actual package weight.
number format: float
Example
2000weightUnit
string
dimensions
object
length
number format: float
Example
25lengthUnit
string
Example
cmwidth
number format: float
Example
17.5widthUnit
string
Example
cmheight
number format: float
Example
10heightUnit
string
Example
cmtracking
string
Example
JJD000390007882823450pickUpBy
string
Example
Kim MusterlabelUrl
string
Example
https://documentserver.internal/label/label.pdflabelType
string
fulfillmentDate
The date and time of the package entering status “inTransit” or “fulfilled”.
string format: date-time
packageItems
Array<object>
object
salesOrderLineItemCode
required
string
Example
386quantity
required
number
key
additional properties
any
Responses
Section titled “Responses”Fulfillment updated
Media typeapplication/json
Merchant, fulfillment order or fulfillment not found
Media typeapplication/json

